/* evlist/nul.c
 *
 * Dummy interface to... nothing. :^)
 *
 * Copyright (C) 2003, 2004
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/types.h>

#include "evlist/evlist.h"

static int null_cleanup(device_t* dev);

int null_init(device_t* dev)
{
    dev->path       = "null"      ;
    dev->hw_cleanup = null_cleanup;
    return 0;
}

static int null_cleanup(device_t* dev)
{
    dev->path       = NULL;
    dev->hw_cleanup = NULL;
    return 0;
}

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
